scsi_kmap_atomic_sg
Prev | drivers/scsi/scsi_lib.c | Next

## Name

scsi_kmap_atomic_sg — find and atomically map an sg-elemnt

## Synopsis

`void * scsi_kmap_atomic_sg (` | struct scatterlist * | sgl,
| int | sg_count,
| size_t * | offset,
| size_t * | len`)`;

## Arguments

`sgl`

  scatter-gather list

`sg_count`

  number of segments in sg

`offset`

  offset in bytes into sg, on return offset into the mapped area

`len`

  bytes to map, on return number of bytes mapped

## Description

Returns virtual address of the start of the mapped page

Prev | Up | Next
scsi_internal_device_unblock | Home | scsi_kunmap_atomic_sg